Skip to main content
GET
/
twitter
/
user
/
batch_info_by_ids
Batch get users by IDs
curl --request GET \
  --url 'https://api.xshot.fun/twitter/user/batch_info_by_ids?api_key='
{
  "users": [
    {
      "id": "44196397",
      "name": "Elon Musk",
      "username": "elonmusk",
      "description": "<string>",
      "location": "<string>",
      "created_at": "<string>",
      "followers_count": 237614000,
      "following_count": 1305,
      "tweet_count": 123,
      "like_count": 123,
      "media_count": 123,
      "is_blue_verified": true,
      "profile_image": "<string>",
      "profile_banner": "<string>",
      "pinned_tweet_ids": [
        "<string>"
      ]
    }
  ]
}

Authorizations

api_key
string
query
required

Query Parameters

user_ids
string
required

Comma-separated user IDs

Response

200 - application/json

Array of user profiles

users
object[]